
import 'dart:convert';

import 'package:easy_pass_common/dto/create_user_request.dart';
import 'package:easy_pass_common/dto/user.dart';
import 'package:flutter_test/flutter_test.dart';

import '../fixture_reader.dart';

void main() {
  group('Create user request - ', () {

    test('constructor - will initilize internal variables', () async {
      var user = User.fromJson(json.decode(fixture('user.json')));
      var request = CreateUserRequest(user);

      expect(request.path, '/people');
      expect(request.parameters, isNotNull);
      expect(request.parameters['person'], isNotNull);
    });
  });
}